Bug 495989 - gnome-power-manager doesn't let my second battery discharge
gnome-power-manager doesn't let my second battery discharge
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 511411 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 16:54 EDT by Jonathan Blandford
Modified: 2013-04-02 00:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:50:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
devkit-power --dump (2.58 KB, text/plain)
2009-04-15 16:55 EDT, Jonathan Blandford
no flags Details
devkit-power --dump (2.68 KB, text/plain)
2009-04-15 16:55 EDT, Jonathan Blandford
no flags Details
devkit-power --dump (2.88 KB, text/plain)
2009-04-15 16:56 EDT, Jonathan Blandford
no flags Details
devkit-power --dump (2.81 KB, text/plain)
2009-04-15 16:56 EDT, Jonathan Blandford
no flags Details
devkit-power --dump (after second battery kicks in) (2.84 KB, text/plain)
2009-04-22 14:18 EDT, Jonathan Blandford
no flags Details

  None (edit)
Description Jonathan Blandford 2009-04-15 16:54:41 EDT
I have two batteries in this laptop.  It appears like they discharge serially.  g-p-m seems to panic when the first battery gets low, and never gives the second battery a chance to discharge.  Attaching some dumps from devkit-power --dump at various points.  The last one happened within 10 seconds of the machine powering off.
Comment 1 Jonathan Blandford 2009-04-15 16:55:27 EDT
Created attachment 339745 [details]
devkit-power --dump
Comment 2 Jonathan Blandford 2009-04-15 16:55:59 EDT
Created attachment 339746 [details]
devkit-power --dump
Comment 3 Jonathan Blandford 2009-04-15 16:56:30 EDT
Created attachment 339747 [details]
devkit-power --dump
Comment 4 Jonathan Blandford 2009-04-15 16:56:51 EDT
Created attachment 339748 [details]
devkit-power --dump
Comment 5 Richard Hughes 2009-04-21 06:41:17 EDT
The battery in /org/freedesktop/DeviceKit/Power/devices/battery_BAT0 never seems to have any state other than "unknown".

When the first battery is discharging, what's the value of the file:

/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:01/PNP0C09:00/PNP0C0A:00/power_supply/BAT0/status

As DeviceKit isn't either parsing the kernel value, or the kernel is not sure itself.

Also, can you please get one more "devkit-power --dump" output, this time after killing gnome-power-manager and letting the second battery start discharging. I want to see if the second battery ever reports a valid status.

Thanks,

Richard.
Comment 6 Jonathan Blandford 2009-04-22 12:49:29 EDT
%cat /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:01/PNP0C09:00/PNP0C0A:00/power_supply/BAT0/status

Unknown
Comment 7 Jonathan Blandford 2009-04-22 14:18:20 EDT
Created attachment 340785 [details]
devkit-power --dump (after second battery kicks in)
Comment 8 Jonathan Blandford 2009-04-22 14:18:48 EDT
Looks like the status on the second battery is right.
Comment 9 Richard Hughes 2009-04-22 18:07:45 EDT
How very odd. I'll add support for this in DeviceKit-power tomorrow. Thanks for the debug dumps.
Comment 10 Jonathan Blandford 2009-05-11 20:05:59 EDT
Tried gnome-power-manager-2.27.1-0.4.20090507git.fc12.x86_64; doesn't seem to fix the problem.
Comment 11 Richard Hughes 2009-05-12 06:25:45 EDT
I've just purchased an IBM Thinkpad Ultrabay Slim Battery so I can debug this locally here. Sorry for the delay.
Comment 12 Bug Zapper 2009-06-09 09:52:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Richard Hughes 2009-08-20 08:30:56 EDT
*** Bug 511411 has been marked as a duplicate of this bug. ***
Comment 14 Bug Zapper 2010-04-27 09:41:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-06-28 07:50:50 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.